<ng-container *ngIf="vm$ | async as vm">
  <div [ngClass]="['e-walidata-assign']">
    <div
      [ngClass]="[
        jds.d('flex'),
        satudataUser.role_name === 'walidata'
          ? jds.justifyContent('between')
          : jds.justifyContent('end'),
        jds.mb(16)
      ]"
    >
      <ng-container *ngIf="satudataUser.role_name === 'walidata'">
        <app-e-walidata-filter-assign-business-field />
      </ng-container>

      <app-e-walidata-sort-assign-business-field />
    </div>

    <app-e-walidata-list-assign />

    <app-e-walidata-offcanvas-assign />
  </div>
</ng-container>
